<?php
/**
 * i-doit - Documentation and CMDB solution for IT environments
 *
 * This file is part of the i-doit framework. Modify at your own risk.
 *
 * Please visit http://www.i-doit.com/license for a full copyright and license information.
 *
 * @version     1.10
 * @package     i-doit
 * @author      synetics GmbH
 * @copyright   synetics GmbH
 * @url         http://www.i-doit.com
 * @license     http://www.i-doit.com/license
 */
/**
 * i-doit
 *
 * Static constant not registered by the dynamic constant manager.
 * Please empty this list every major release.
 *
 * @package     i-doit
 * @subpackage  General
 * @author      Leonard Fischer <lfischer@i-doit.com>
 * @version     1.0
 * @copyright   synetics GmbH
 * @license     http://www.i-doit.com/license
 */

if (!defined('ISYS_EMPTY'))
{
    /**
     * @deprecated
     */
    define("ISYS_EMPTY", "");
}

if (!defined('C__CMDB__LOCATION_SEPARATOR'))
{
    /**
     * @deprecated
     */
    define("C__CMDB__LOCATION_SEPARATOR", " > ");
}
if (!defined('C__CMDB__CONNECTOR_SEPARATOR'))
{
    /**
     * @deprecated
     */
    define("C__CMDB__CONNECTOR_SEPARATOR", " > ");
}

if (!defined('C__CMDB__GET__NETPORT'))
{
    /**
     * @deprecated
     */
    define("C__CMDB__GET__NETPORT", "NetportID");
}

if (!defined('C__RACK_INSERTION__BACK'))
{
    /**
     * @deprecated Please use "C__INSERTION__REAR".
     */
    define("C__RACK_INSERTION__BACK", 0);
} // if

if (!defined('C__RACK_INSERTION__FRONT'))
{
    /**
     * @deprecated Please use "C__INSERTION__FRONT".
     */
    define("C__RACK_INSERTION__FRONT", 1);
} // if

if (!defined('C__RACK_INSERTION__BOTH'))
{
    /**
     * @deprecated Please use "C__INSERTION__BOTH".
     */
    define("C__RACK_INSERTION__BOTH", 2);
} // if

if (!defined('C__CATEGORY_DATA__TAG'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__TAG', 'tag');
}

if (!defined('C__CATEGORY_DATA__TITLE'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__TITLE', 'title');
}

if (!defined('C__CATEGORY_DATA__FORMTAG'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__FORMTAG', 'formtag');
}

if (!defined('C__CATEGORY_DATA__EXPORT'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__EXPORT', 'export');
}

if (!defined('C__CATEGORY_DATA__EXPORT_HELPER'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__EXPORT_HELPER', 'helper');
}

if (!defined('C__CATEGORY_DATA__PARAM'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__PARAM', 'param');
}

if (!defined('C__CATEGORY_DATA__EXPORT_PARAM'))
{
    /**
     * Parameter(s) for the export helper class' constructor.
     *
     * @deprecated
     * @todo  Refactor to 'export_param'.
     */
    define('C__CATEGORY_DATA__EXPORT_PARAM', 'param');
}

if (!defined('C__CATEGORY_DATA__IMPORT_HELPER'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__IMPORT_HELPER', 'helper');
}

if (!defined('C__CATEGORY_DATA__IMPORT_PARAM'))
{
    /**
     * Parameter(s) for the export helper class' constructor.
     *
     * @deprecated
     * @todo  Refactor to 'import_param'.
     */
    define('C__CATEGORY_DATA__IMPORT_PARAM', 'param');
}

if (!defined('C__CATEGORY_DATA__VALIDATE'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__VALIDATE', 'validate');
}

if (!defined('C__CATEGORY_DATA__TYPE'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__TYPE', 'type');
}

if (!defined('C__CRYPT_KEY'))
{
    /**
     * @deprecated
     */
    define('C__CRYPT_KEY', '');
}

if (!defined('C__WRITE_EXCEPTION_LOGS'))
{
    /**
     * @deprecated
     */
    define('C__WRITE_EXCEPTION_LOGS', true);
}

if (!defined('C__CATEGORY_DATA__FIELD'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__FIELD', 'field');
}

if (!defined('C__CATEGORY_DATA__REF'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__REF', 'ref');
}

if (!defined('C__CATEGORY_DATA__TABLE'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__TABLE', 'table');
}

if (!defined('C__CATEGORY_DATA__FILTER'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__FILTER', 'filter');
}

if (!defined('C__CATEGORY_DATA__IMPORT'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__IMPORT', 'import');
}

if (!defined('C__CATEGORY_DATA__OPTIONAL'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__OPTIONAL', 'optional');
}

if (!defined('C__CATEGORY_DATA__DEFAULT'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__DEFAULT', 'default');
}

if (!defined('C__CATEGORY_DATA__VALUE'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__VALUE', 'value');
}

if (!defined('C__CATEGORY_DATA__REPORT'))
{
    /**
     * @deprecated
     */
    define('C__CATEGORY_DATA__REPORT', 'report');
}